(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.2' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     22433,        617]
NotebookOptionsPosition[     22129,        604]
NotebookOutlinePosition[     22477,        619]
CellTagsIndexPosition[     22434,        616]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"x0", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"y0", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"z0", "=", "0"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"a", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"b", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"c", "=", "0.5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"delkaosy", "=", "0.35"}], ";", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"D\[EAcute]lka", " ", "\[CHacek]\[AAcute]sti", " ", "osy"}], ",", 
    " ", 
    RowBox[{
    "kter\[AAcute]", " ", "vy\[CHacek]n\[IAcute]v\[AAcute]", " ", "mimo", " ",
      "kv\[AAcute]dr", " ", "z", " ", "ka\[ZHacek]d\[EAcute]", " ", 
     RowBox[{"strany", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"ym", "=", 
   RowBox[{"0.15", "b"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"tvektor1", "=", 
    RowBox[{
     FractionBox["1", "2"], "\[Pi]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"delkasipky", "=", "0.25"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"xsipky", "=", 
   RowBox[{"0.1", "a"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ysipky", "=", 
   RowBox[{"0.1", "b"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"zsipky", "=", 
    RowBox[{"c", "+", 
     RowBox[{"1.2", "delkasipky"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"barvakvadru", "=", "Blue"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"barvahran", "=", "Black"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"barvavlny1", "=", "Red"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"barvavlny2", "=", "Blue"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"barvaosyopt", "=", "Black"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"barvaosyvlny1", "=", "Black"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"barvasmerusireni", "=", "Orange"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tloustka", "=", "0.005"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"velikostpisma", "=", "18"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"velikostsipky", "=", "0.025"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"velikostobrazku", "=", "600"}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"P\[URing]lvlnov\[AAcute]", " ", "desti\[CHacek]ka"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"periodacasti2", "=", 
     FractionBox["8", "3"]}], ";", "\[IndentingNewLine]", 
    RowBox[{"tvektor2", "=", 
     RowBox[{
      FractionBox["10", "3"], "\[Pi]"}]}], ";"}], "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"\[CapitalCHacek]tvrtvlnov\[AAcute]", " ", "desti\[CHacek]ka"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"periodacasti2", "=", 
   FractionBox["16", "7"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"tvektor2", "=", 
    RowBox[{
     FractionBox["8", "3"], "\[Pi]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kvadr", "=", 
   RowBox[{"Cuboid", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x0", ",", "y0", ",", "z0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"x0", "+", "a"}], ",", 
       RowBox[{"y0", "+", "b"}], ",", 
       RowBox[{"z0", "+", "c"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"osaopt", "=", 
   RowBox[{"Line", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"x0", "+", 
         RowBox[{"0.5", "a"}]}], ",", 
        RowBox[{"y0", "-", "delkaosy"}], ",", 
        RowBox[{"z0", "+", 
         RowBox[{"0.5", "c"}]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"x0", "+", 
         RowBox[{"0.5", "a"}]}], ",", 
        RowBox[{"y0", "+", "b", "+", "delkaosy"}], ",", 
        RowBox[{"z0", "+", 
         RowBox[{"0.5", "c"}]}]}], "}"}]}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"smersireni", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Arrowheads", "[", 
      RowBox[{"{", 
       RowBox[{"0", ",", "velikostsipky"}], "}"}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Arrow", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"x0", "+", "xsipky"}], ",", 
          RowBox[{"y0", "+", "ysipky"}], ",", 
          RowBox[{"z0", "+", "zsipky"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"x0", "+", "xsipky"}], ",", 
          RowBox[{"y0", "+", "ysipky"}], ",", 
          RowBox[{"z0", "+", "zsipky", "-", "delkasipky"}]}], "}"}]}], "}"}], 
      "]"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"osavlna1", "=", 
    RowBox[{"Line", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x0", "+", 
          RowBox[{"0.5", "a"}]}], ",", 
         RowBox[{"y0", "+", 
          RowBox[{"0.5", "b"}]}], ",", 
         RowBox[{"z0", "-", "delkaosy"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x0", "+", 
          RowBox[{"0.5", "a"}]}], ",", 
         RowBox[{"y0", "+", 
          RowBox[{"0.5", "b"}]}], ",", 
         RowBox[{"z0", "+", "c", "+", "delkaosy"}]}], "}"}]}], "}"}], "]"}]}],
    ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"vektorE1", "[", "t_", "]"}], ":=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Arrowheads", "[", 
      RowBox[{"{", 
       RowBox[{"0", ",", "velikostsipky"}], "}"}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Arrow", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"x0", "+", 
           RowBox[{"0.5", "a"}]}], ",", 
          RowBox[{"y0", "+", 
           RowBox[{"0.5", "b"}]}], ",", 
          RowBox[{"z0", "+", "c", "-", 
           RowBox[{
            FractionBox["c", 
             RowBox[{"4", "\[Pi]"}]], "t"}]}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"x0", "+", 
           RowBox[{"0.5", "a"}], "-", 
           RowBox[{"ym", " ", 
            RowBox[{"Sin", "[", 
             RowBox[{
              FractionBox["1", 
               RowBox[{"2", "c"}]], "t"}], "]"}]}]}], ",", 
          RowBox[{"y0", "+", 
           RowBox[{"0.5", "b"}]}], ",", 
          RowBox[{"z0", "+", "c", "-", 
           RowBox[{
            FractionBox["c", 
             RowBox[{"4", "\[Pi]"}]], "t"}]}]}], "}"}]}], "}"}], "]"}]}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"vektorE2", "[", 
     RowBox[{"t_", ",", "perioda_"}], "]"}], ":=", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Arrowheads", "[", 
       RowBox[{"{", 
        RowBox[{"0", ",", "velikostsipky"}], "}"}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Arrow", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"x0", "+", 
            RowBox[{"0.5", "a"}]}], ",", 
           RowBox[{"y0", "+", 
            RowBox[{"0.5", "b"}]}], ",", 
           RowBox[{"z0", "+", "c", "-", 
            RowBox[{
             FractionBox["c", 
              RowBox[{"4", "\[Pi]"}]], "t"}]}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"x0", "+", 
            RowBox[{"0.5", "a"}]}], ",", 
           RowBox[{"y0", "+", 
            RowBox[{"0.5", "b"}], "+", 
            RowBox[{"ym", " ", 
             RowBox[{"Sin", "[", 
              RowBox[{
               FractionBox["1", 
                RowBox[{"perioda", " ", "c"}]], "t"}], "]"}]}]}], ",", 
           RowBox[{"z0", "+", "c", "-", 
            RowBox[{
             FractionBox["c", 
              RowBox[{"4", "\[Pi]"}]], "t"}]}]}], "}"}]}], "}"}], "]"}]}], 
     "}"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"ParametricPlot3D", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"x0", "+", 
        RowBox[{"0.5", "a"}], "-", 
        RowBox[{"ym", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{
           FractionBox["1", 
            RowBox[{"2", "c"}]], "t"}], "]"}]}]}], ",", 
       RowBox[{"y0", "+", 
        RowBox[{"0.5", "b"}]}], ",", 
       RowBox[{"z0", "+", "c", "-", 
        RowBox[{
         FractionBox["c", 
          RowBox[{"4", "\[Pi]"}]], "t"}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", 
       RowBox[{
        RowBox[{"-", "2"}], "\[Pi]"}], ",", 
       RowBox[{"6", "\[Pi]"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"barvavlny1", ",", 
        RowBox[{"Thickness", "[", "tloustka", "]"}]}], "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Axes", "\[Rule]", "False"}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"ParametricPlot3D", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"x0", "+", 
        RowBox[{"0.5", "a"}]}], ",", 
       RowBox[{"y0", "+", 
        RowBox[{"0.5", "b"}], "+", 
        RowBox[{"ym", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{
           FractionBox["1", 
            RowBox[{"2", "c"}]], "t"}], "]"}]}]}], ",", 
       RowBox[{"z0", "+", "c", "-", 
        RowBox[{
         FractionBox["c", 
          RowBox[{"4", "\[Pi]"}]], "t"}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", 
       RowBox[{
        RowBox[{"-", "2"}], "\[Pi]"}], ",", "0"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"barvavlny2", ",", 
        RowBox[{"Thickness", "[", "tloustka", "]"}]}], "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Axes", "\[Rule]", "False"}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"P\[URing]lvlnov\[AAcute]", " ", "desti\[CHacek]ka"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"ParametricPlot3D", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x0", "+", 
          RowBox[{"0.5", "a"}]}], ",", 
         RowBox[{"y0", "+", 
          RowBox[{"0.5", "b"}], "+", 
          RowBox[{"ym", " ", 
           RowBox[{"Sin", "[", 
            RowBox[{
             FractionBox["1", 
              RowBox[{
               FractionBox["8", "3"], "c"}]], "t"}], "]"}]}]}], ",", 
         RowBox[{"z0", "+", "c", "-", 
          RowBox[{
           FractionBox["c", 
            RowBox[{"4", "\[Pi]"}]], "t"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", 
         RowBox[{"4", "\[Pi]"}]}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"barvavlny2", ",", 
          RowBox[{"Thickness", "[", "tloustka", "]"}]}], "}"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Axes", "\[Rule]", "False"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"ParametricPlot3D", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x0", "+", 
          RowBox[{"0.5", "a"}]}], ",", 
         RowBox[{"y0", "+", 
          RowBox[{"0.5", "b"}], "+", 
          RowBox[{"ym", " ", 
           RowBox[{"Sin", "[", 
            RowBox[{
             RowBox[{
              FractionBox["1", 
               RowBox[{"2", "c"}]], "t"}], "+", "\[Pi]"}], "]"}]}]}], ",", 
         RowBox[{"z0", "+", "c", "-", 
          RowBox[{
           FractionBox["c", 
            RowBox[{"4", "\[Pi]"}]], "t"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", 
         RowBox[{"4", "\[Pi]"}], ",", 
         RowBox[{"6", "\[Pi]"}]}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"barvavlny2", ",", 
          RowBox[{"Thickness", "[", "tloustka", "]"}]}], "}"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Axes", "\[Rule]", "False"}]}], "]"}], ","}], "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"\[CapitalCHacek]tvrtvlnov\[AAcute]", " ", "desti\[CHacek]ka"}], 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{"ParametricPlot3D", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"x0", "+", 
        RowBox[{"0.5", "a"}]}], ",", 
       RowBox[{"y0", "+", 
        RowBox[{"0.5", "b"}], "+", 
        RowBox[{"ym", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{
           FractionBox["1", 
            RowBox[{
             FractionBox["16", "7"], "c"}]], "t"}], "]"}]}]}], ",", 
       RowBox[{"z0", "+", "c", "-", 
        RowBox[{
         FractionBox["c", 
          RowBox[{"4", "\[Pi]"}]], "t"}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", 
       RowBox[{"4", "\[Pi]"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"barvavlny2", ",", 
        RowBox[{"Thickness", "[", "tloustka", "]"}]}], "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Axes", "\[Rule]", "False"}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"ParametricPlot3D", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"x0", "+", 
        RowBox[{"0.5", "a"}]}], ",", 
       RowBox[{"y0", "+", 
        RowBox[{"0.5", "b"}], "+", 
        RowBox[{"ym", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{
           RowBox[{
            FractionBox["1", 
             RowBox[{"2", "c"}]], "t"}], "-", 
           FractionBox["\[Pi]", "2"]}], "]"}]}]}], ",", 
       RowBox[{"z0", "+", "c", "-", 
        RowBox[{
         FractionBox["c", 
          RowBox[{"4", "\[Pi]"}]], "t"}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", 
       RowBox[{"4", "\[Pi]"}], ",", 
       RowBox[{"6", "\[Pi]"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"barvavlny2", ",", 
        RowBox[{"Thickness", "[", "tloustka", "]"}]}], "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Axes", "\[Rule]", "False"}]}], "]"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"Graphics3D", "[", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"EdgeForm", "[", 
         RowBox[{"Directive", "[", 
          RowBox[{
           RowBox[{"Thickness", "[", 
            RowBox[{"0.25", "tloustka"}], "]"}], ",", "barvahran"}], "]"}], 
         "]"}], ",", "barvakvadru", ",", 
        RowBox[{"Opacity", "[", "0.2", "]"}], ",", "kvadr"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"barvaosyopt", ",", "Dashed", ",", 
        RowBox[{"Thickness", "[", "tloustka", "]"}], ",", "osaopt"}], "}"}], 
      ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"barvasmerusireni", ",", 
        RowBox[{"Thickness", "[", "tloustka", "]"}], ",", "smersireni"}], 
       "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"barvaosyvlny1", ",", "Dashed", ",", 
        RowBox[{"Thickness", "[", "tloustka", "]"}], ",", "osavlna1"}], "}"}],
       ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"barvavlny1", ",", 
        RowBox[{"Thickness", "[", "tloustka", "]"}], ",", 
        RowBox[{"vektorE1", "[", "tvektor1", "]"}]}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"barvavlny2", ",", 
        RowBox[{"Thickness", "[", "tloustka", "]"}], ",", 
        RowBox[{"vektorE2", "[", 
         RowBox[{"tvektor2", ",", "periodacasti2"}], "]"}]}], "}"}], ",", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"Text", "[", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{
         "\"\<optick\[AAcute] osa\>\"", ",", "velikostpisma", ",", 
          "barvaosyopt"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"x0", "+", 
           RowBox[{"0.5", "a"}]}], ",", 
          RowBox[{"y0", "-", 
           RowBox[{"1.1", "delkaosy"}]}], ",", 
          RowBox[{"z0", "+", 
           RowBox[{"0.7", "c"}]}]}], "}"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Text", "[", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{
         "\"\<sm\[EHacek]\[RHacek] \
\[SHacek]\[IAcute]\[RHacek]en\[IAcute]\>\"", ",", "velikostpisma", ",", 
          "barvasmerusireni"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"x0", "+", "xsipky"}], ",", 
          RowBox[{"y0", "+", "ysipky"}], ",", 
          RowBox[{"z0", "+", 
           RowBox[{"1.1", "zsipky"}]}]}], "}"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Text", "[", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{
         "\"\<\!\(\*OverscriptBox[SubscriptBox[\(E\), \(1\)], \(\
\[LongRightArrow]\)]\)\>\"", ",", "velikostpisma", ",", "barvavlny1"}], "]"}],
         ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"x0", "+", 
           RowBox[{"0.5", "a"}], "-", 
           RowBox[{"1.5", "ym", " ", 
            RowBox[{"Sin", "[", 
             RowBox[{
              FractionBox["1", 
               RowBox[{"2", "c"}]], "tvektor1"}], "]"}]}]}], ",", 
          RowBox[{"y0", "+", 
           RowBox[{"0.5", "b"}]}], ",", 
          RowBox[{"z0", "+", "c", "-", 
           RowBox[{
            FractionBox["c", 
             RowBox[{"4", "\[Pi]"}]], "tvektor1"}]}]}], "}"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Text", "[", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{
         "\"\<\!\(\*OverscriptBox[SubscriptBox[\(E\), \(2\)], \(\
\[LongRightArrow]\)]\)\>\"", ",", "velikostpisma", ",", "barvavlny2"}], "]"}],
         ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"x0", "+", 
           RowBox[{"0.5", "a"}]}], ",", 
          RowBox[{"y0", "+", 
           RowBox[{"0.5", "b"}], "+", 
           RowBox[{"1.5", "ym", " ", 
            RowBox[{"Sin", "[", 
             RowBox[{
              FractionBox["1", 
               RowBox[{"periodacasti2", " ", "c"}]], "tvektor2"}], "]"}]}]}], 
          ",", 
          RowBox[{"z0", "+", "c", "-", 
           RowBox[{
            FractionBox["c", 
             RowBox[{"4", "\[Pi]"}]], "tvektor2"}]}]}], "}"}]}], "]"}]}], 
     "\[IndentingNewLine]", "}"}], "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Boxed", "\[Rule]", "False"}], ",", "\[IndentingNewLine]", 
   RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", "\[IndentingNewLine]", 
   RowBox[{"ImageSize", "\[Rule]", "velikostobrazku"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.7314239244832096`*^9, 3.7314243744164333`*^9}, {
   3.7314757870746145`*^9, 3.731475892482686*^9}, {3.7314759287011385`*^9, 
   3.7314763973128357`*^9}, {3.7314764322281647`*^9, 3.731476630370878*^9}, {
   3.7314766711547303`*^9, 3.7314767416880913`*^9}, {3.731476785080005*^9, 
   3.731477046731496*^9}, {3.7314993551825447`*^9, 3.7314994648283815`*^9}, {
   3.731499530630995*^9, 3.7314995536944847`*^9}, {3.7314996336811943`*^9, 
   3.7314997603301325`*^9}, {3.7314998003188148`*^9, 
   3.7314998177626643`*^9}, {3.731499852739563*^9, 3.731499901477609*^9}, {
   3.731499946689658*^9, 3.7314999992701635`*^9}, {3.731500037452375*^9, 
   3.7315003127786016`*^9}, {3.7315003911956787`*^9, 
   3.7315003951702633`*^9}, {3.7315004448919215`*^9, 
   3.7315005546198273`*^9}, {3.731500588124254*^9, 3.73150085407483*^9}, {
   3.7315093735985975`*^9, 3.731509381917002*^9}, {3.731510040962062*^9, 
   3.7315101463257513`*^9}, {3.731510178399021*^9, 3.731510238644229*^9}, {
   3.7315103660500097`*^9, 3.731510369637687*^9}, {3.7315104041891327`*^9, 
   3.731510434222364*^9}, {3.7315104951940403`*^9, 3.731510530712148*^9}, {
   3.73151057532347*^9, 3.7315106573844757`*^9}, 3.7315107155197697`*^9, {
   3.731510798856059*^9, 3.731510800095895*^9}, {3.7315108542087336`*^9, 
   3.731510940297801*^9}, {3.7315111102310715`*^9, 3.7315111152973967`*^9}, {
   3.7315111491374545`*^9, 3.731511243275316*^9}, {3.7315113560462*^9, 
   3.7315114153113585`*^9}, {3.7315114510007906`*^9, 3.731511478959803*^9}, {
   3.7315115299290247`*^9, 3.7315116638564806`*^9}, {3.731511711888691*^9, 
   3.7315118117164173`*^9}, {3.7315119363394904`*^9, 3.731511984663461*^9}, 
   3.7315121425050325`*^9, {3.73151219429771*^9, 3.7315121983792143`*^9}, {
   3.7315122293973255`*^9, 3.731512237282217*^9}, {3.7315123192726903`*^9, 
   3.7315123659103613`*^9}, {3.7315138142267733`*^9, 3.731513869916679*^9}, {
   3.7315139388546*^9, 3.731513951695252*^9}, 3.731514004634791*^9, {
   3.731514060072837*^9, 3.731514098142891*^9}, {3.7315141307503014`*^9, 
   3.73151416615123*^9}, 3.7315142218767986`*^9, {3.7315144038446474`*^9, 
   3.731514414753418*^9}, {3.7315144487414985`*^9, 3.7315144663756924`*^9}, {
   3.731514576751132*^9, 3.7315147921974425`*^9}, {3.731514824953919*^9, 
   3.731514847723546*^9}, {3.7315156366730824`*^9, 3.7315156488844185`*^9}, {
   3.7315157686657*^9, 
   3.7315157801373587`*^9}},ExpressionUUID->"2a6e71b8-e530-433c-b438-\
97be6a4d144c"]
},
WindowSize->{759, 813},
WindowMargins->{{Automatic, 572}, {64, Automatic}},
FrontEndVersion->"11.2 for Microsoft Windows (64-bit) (September 10, 2017)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 21567, 582, 2517, "Input",ExpressionUUID->"2a6e71b8-e530-433c-b438-97be6a4d144c"]
}
]
*)

