(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.2' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     12063,        345]
NotebookOptionsPosition[     11759,        332]
NotebookOutlinePosition[     12107,        347]
CellTagsIndexPosition[     12064,        344]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"x0", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"y0", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"z0", "=", "0"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"a", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"b", "=", "0.2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"c", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"delkasipky", "=", "1.5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"delkapolsipky", "=", "0.35"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"barva", "=", "Black"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"barvadesticky", "=", "Blue"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"barvahran", "=", "Black"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"barvasipky", "=", "Black"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"barvapolsipky", "=", "Red"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tloustka", "=", "0.004"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"velikostpisma", "=", "20"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"velikostsipky", "=", "0.05"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"velikostobrazku", "=", "700"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"desticka", "=", 
   RowBox[{"Cuboid", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x0", ",", "y0", ",", "z0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"x0", "+", "a"}], ",", 
       RowBox[{"y0", "+", "b"}], ",", 
       RowBox[{"z0", "+", "c"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"svetlo1", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Arrowheads", "[", 
      RowBox[{"{", 
       RowBox[{"0", ",", "velikostsipky"}], "}"}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Arrow", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"x0", "+", 
           RowBox[{"0.5", "a"}]}], ",", 
          RowBox[{"y0", "-", "delkasipky"}], ",", 
          RowBox[{"z0", "+", 
           RowBox[{"0.5", "c"}]}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"x0", "+", 
           RowBox[{"0.5", "a"}]}], ",", "y0", ",", 
          RowBox[{"z0", "+", 
           RowBox[{"0.5", "c"}]}]}], "}"}]}], "}"}], "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"svetlo2", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Arrowheads", "[", 
      RowBox[{"{", 
       RowBox[{"0", ",", "velikostsipky"}], "}"}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Arrow", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"x0", "+", 
           RowBox[{"0.5", "a"}]}], ",", 
          RowBox[{"y0", "+", "b"}], ",", 
          RowBox[{"z0", "+", 
           RowBox[{"0.5", "c"}]}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"x0", "+", 
           RowBox[{"0.5", "a"}]}], ",", 
          RowBox[{"y0", "+", "b", "+", "delkasipky"}], ",", 
          RowBox[{"z0", "+", 
           RowBox[{"0.5", "c"}]}]}], "}"}]}], "}"}], "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"polarizace1", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Arrowheads", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "velikostsipky"}], ",", "velikostsipky"}], "}"}], "]"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"Arrow", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"x0", "+", 
           RowBox[{"0.5", "a"}], "-", "delkapolsipky"}], ",", 
          RowBox[{"y0", "-", 
           RowBox[{"0.5", "delkasipky"}]}], ",", 
          RowBox[{"z0", "+", 
           RowBox[{"0.5", "c"}]}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"x0", "+", 
           RowBox[{"0.5", "a"}], "+", "delkapolsipky"}], ",", 
          RowBox[{"y0", "-", 
           RowBox[{"0.5", "delkasipky"}]}], ",", 
          RowBox[{"z0", "+", 
           RowBox[{"0.5", "c"}]}]}], "}"}]}], "}"}], "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"polarizace2", "=", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Arrowheads", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "velikostsipky"}], ",", "velikostsipky"}], "}"}], "]"}],
       ",", "\[IndentingNewLine]", 
      RowBox[{"Arrow", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"x0", "+", 
            RowBox[{"0.5", "a"}]}], ",", 
           RowBox[{"y0", "+", "b", "+", 
            RowBox[{"0.5", "delkasipky"}]}], ",", 
           RowBox[{"z0", "+", 
            RowBox[{"0.5", "c"}], "-", "delkapolsipky"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"x0", "+", 
            RowBox[{"0.5", "a"}]}], ",", 
           RowBox[{"y0", "+", "b", "+", 
            RowBox[{"0.5", "delkasipky"}]}], ",", 
           RowBox[{"z0", "+", 
            RowBox[{"0.5", "c"}], "+", "delkapolsipky"}]}], "}"}]}], "}"}], 
       "]"}]}], "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pocetbodu", "=", "10"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"body", "=", 
   RowBox[{"Table", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"x0", "+", 
        RowBox[{"0.5", "a"}], "+", 
        RowBox[{"0.3", "a", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{
           FractionBox[
            RowBox[{"2", "\[Pi]"}], "pocetbodu"], "i"}], "]"}]}]}], ",", 
       RowBox[{"y0", "+", "b", "+", 
        RowBox[{"0.5", "delkasipky"}]}], ",", 
       RowBox[{"z0", "+", 
        RowBox[{"0.5", "c"}], "+", 
        RowBox[{"0.3", "a", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{
           FractionBox[
            RowBox[{"2", "\[Pi]"}], "pocetbodu"], "i"}], "]"}]}]}]}], "}"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "pocetbodu"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"polarizace3", "=", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Arrowheads", "[", 
       RowBox[{"{", 
        RowBox[{"0", ",", "velikostsipky"}], "}"}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Arrow", "[", 
       RowBox[{"BezierCurve", "[", "body", "]"}], "]"}]}], "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Graphics3D", "[", 
  RowBox[{
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"EdgeForm", "[", 
        RowBox[{"Directive", "[", 
         RowBox[{
          RowBox[{"Thickness", "[", 
           RowBox[{"0.25", "tloustka"}], "]"}], ",", "barvahran"}], "]"}], 
        "]"}], ",", "barvadesticky", ",", 
       RowBox[{"Opacity", "[", "0.5", "]"}], ",", "desticka"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"barvasipky", ",", 
       RowBox[{"Thickness", "[", "tloustka", "]"}], ",", "svetlo1"}], "}"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"barvasipky", ",", 
       RowBox[{"Thickness", "[", "tloustka", "]"}], ",", "svetlo2"}], "}"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"Text", "[", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{
        "\"\<line\[AAcute]rn\[EHacek] polarizovan\[EAcute] \
sv\[EHacek]tlo\>\"", ",", "barvapolsipky", ",", "velikostpisma"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x0", "+", 
          RowBox[{"0.4", "a"}]}], ",", 
         RowBox[{"y0", "-", 
          RowBox[{"0.8", "delkasipky"}]}], ",", "z0"}], "}"}]}], "]"}], ",", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"barvapolsipky", ",", 
         RowBox[{"Thickness", "[", "tloustka", "]"}], ",", "polarizace1"}], 
        "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"barvapolsipky", ",", 
         RowBox[{"Thickness", "[", "tloustka", "]"}], ",", "polarizace2"}], 
        "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{
          "\"\<p\[URing]lvlnn\[AAcute] desti\[CHacek]ka\>\"", ",", "barva", 
           ",", "velikostpisma"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"x0", "-", 
            RowBox[{"0.1", "a"}]}], ",", "y0", ",", "z0"}], "}"}]}], "]"}], 
       ",", "\[IndentingNewLine]", 
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{
          "\"\<line\[AAcute]rn\[EHacek] polarizovan\[EAcute] sv\[EHacek]tlo\>\
\"", ",", "barvapolsipky", ",", "velikostpisma"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"x0", "+", 
            RowBox[{"0.3", "a"}]}], ",", 
           RowBox[{"y0", "+", 
            RowBox[{"0.7", "delkasipky"}]}], ",", "z0"}], "}"}]}], "]"}], 
       ","}], "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"barvapolsipky", ",", 
       RowBox[{"Thickness", "[", "tloustka", "]"}], ",", "polarizace3"}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Text", "[", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{
        "\"\<\[CHacek]tvrtvlnn\[AAcute] desti\[CHacek]ka\>\"", ",", "barva", 
         ",", "velikostpisma"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x0", "-", 
          RowBox[{"0.1", "a"}]}], ",", "y0", ",", "z0"}], "}"}]}], "]"}], ",",
      "\[IndentingNewLine]", 
     RowBox[{"Text", "[", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{
        "\"\<kruhov\[EHacek] polarizovan\[EAcute] sv\[EHacek]tlo\>\"", ",", 
         "barvapolsipky", ",", "velikostpisma"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x0", "+", 
          RowBox[{"0.3", "a"}]}], ",", 
         RowBox[{"y0", "+", 
          RowBox[{"0.7", "delkasipky"}]}], ",", "z0"}], "}"}]}], "]"}]}], 
    "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Boxed", "\[Rule]", "False"}], ",", "\[IndentingNewLine]", 
   RowBox[{"ImageSize", "\[Rule]", "velikostobrazku"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.7315161030237484`*^9, 3.731516411835277*^9}, {
   3.7315164674481277`*^9, 3.731516982092949*^9}, {3.731517018251786*^9, 
   3.731517054351565*^9}, {3.7315171207778387`*^9, 3.7315174046274505`*^9}, 
   3.7315174370423603`*^9, {3.7315175107715807`*^9, 3.7315177391805215`*^9}, {
   3.7315177899880695`*^9, 3.7315178491203256`*^9}, {3.7315178957249765`*^9, 
   3.7315180207205744`*^9}, {3.7315181555787697`*^9, 
   3.731518166648949*^9}},ExpressionUUID->"7926ce00-ba2c-49ce-a939-\
81c91b5f93e3"]
},
WindowSize->{820, 813},
WindowMargins->{{Automatic, 511}, {64, Automatic}},
FrontEndVersion->"11.2 for Microsoft Windows (64-bit) (September 10, 2017)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 11197, 310, 1276, "Input",ExpressionUUID->"7926ce00-ba2c-49ce-a939-81c91b5f93e3"]
}
]
*)

